
module constants

   implicit none

   real(8), parameter :: PI = 3.141592653589793, &   ! pi
                         TWOPI = 2.D0 * PI, &        ! 2 * pi
                         COSUN = 5.4954D-1, &        ! surface carbon-to-oxygen ratio of the Sun (from Caffau, 2011)
                         CZSUN = 1.819942D-1, &      ! XC/Z, relative carbon mass fraction with resepct to total metallicity in the Sun (from Caffau, 2011)
                         NZSUN = 4.863079D-2, &      ! XN/Z, relative nitrogen mass fraction with resepct to total metallicity in the Sun (from Caffau, 2011)
                         OZSUN = 4.411401D-1         ! XO/Z, relative oxygen mass fraction with resepct to total metallicity in the Sun (from Caffau, 2011)
   integer, parameter :: SECONDS_PER_DAY = 86400     ! number of seconds in a day

end module constants
